ch.qos.logback.core.net

## Class QueueFactory

- java.lang.Object
- - ch.qos.logback.core.net.QueueFactory

    public class QueueFactory
    extends java.lang.Object

Factory for `Queue` instances.

Author:
  Sebastian Gröbler

### Constructor Summary

Constructors
Constructor and Description
`QueueFactory()`

### Method Summary

Methods
`<E> java.util.concurrent.LinkedBlockingDeque<E>` `newLinkedBlockingDeque(int capacity)` Creates a new `LinkedBlockingDeque` with the given `capacity`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueueFactory

    public QueueFactory()

### Method Detail

#### newLinkedBlockingDeque

    public <E> java.util.concurrent.LinkedBlockingDeque<E> newLinkedBlockingDeque(int capacity)

Creates a new `LinkedBlockingDeque` with the given `capacity`. In case the given capacity is smaller than one it will automatically be converted to one.

Type Parameters:
  `E` - the type of elements held in the queue
Parameters:
  `capacity` - the capacity to use for the queue
Returns:
  a new instance of `ArrayBlockingQueue`